Skip to content

Get raw rewards

Only trades that have reached confirmed status appear in the results.

GET /rewards/raw

Server: https://api.openfish.fun

Authentication: L2 (HMAC) required


HeaderDescription
OPENFISH_API_KEYAPI key (UUID)
OPENFISH_TIMESTAMPUnix timestamp
OPENFISH_PASSPHRASEAPI passphrase
OPENFISH_SIGNATUREHMAC-SHA256 signature

Schema: PaginatedRawRewards

FieldTypeRequiredDescription
limitintegerYesMaximum items per page (500)
countintegerYesNumber of items returned
next_cursorstringYesPagination cursor. "LTE=" = last page.
dataarray of RawRewardYesPer-trade reward data

RawReward Schema:

FieldTypeRequiredDescription
tradeIdstringYesTrade UUID
marketstringYesCondition ID
tokenIdstringYesToken ID
sizestringYesTrade size
pricestringYesTrade price
volumestringYessize * price
takerFeestringYesTaker fee amount
makerFeestringYesMaker fee amount
rewardstringYesEstimated reward for this trade
timestampintegerYesUnix timestamp (seconds)

Example Response:

{
"limit": 500,
"count": 1,
"next_cursor": "LTE=",
"data": [
{
"tradeId": "28c4d2eb-bbea-40e7-a9f0-b2fdb56b2c2e",
"market": "0xbd31dc8a...",
"tokenId": "52114319501245...",
"size": "10",
"price": "0.57",
"volume": "5.70",
"takerFee": "0.0057",
"makerFee": "0",
"reward": "0.00570",
"timestamp": 1672290701
}
]
}
{ "error": "invalid authorization" }